Page MenuHomePhabricator

api: remove efl.ui.cursor interface
ClosedPublic

Authored by zmike on Feb 8 2019, 11:36 AM.

Details

Summary

this existed only to provide the methods for Efl.Ui.Layout_Part and fill
in implementation for some legacy functions which should probably not be
supported going forward

the corresponding methods have been merged into efl_ui_widget and the
legacy functions no longer use eolian-generated implementations

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike requested review of this revision.Feb 8 2019, 11:36 AM
zmike created this revision.
zmike updated this revision to Diff 19265.Feb 8 2019, 11:54 AM
zmike retitled this revision from wip: remove efl.ui.cursor to api: remove efl.ui.cursor interface.
zmike edited the summary of this revision. (Show Details)

update

zmike added a reviewer: woohyun.

This can be tested in the layout cursors test of elm_test.

woohyun requested changes to this revision.Feb 8 2019, 6:29 PM

I don't think efl_ui_layout_part is needed anymore because it is just the same with efl_ui_widget_part now.
Do we have any problem after removing it ?

src/lib/elementary/elm_object.h
538 ↗(On Diff #19265)

I think that these legacy APIs need to be located in "elm_cursor.h".
The header defines Elm_Cursors group in it.

Plus, "elm_cursor.h" needs to remove some includes for "efl_ui_cursor.eo.h" and "efl_ui_cursor.eo.legacy.h".

This revision now requires changes to proceed.Feb 8 2019, 6:29 PM
zmike updated this revision to Diff 19278.Feb 11 2019, 5:19 AM

move cursor prototypes to cursor header

zmike added a comment.Feb 11 2019, 5:22 AM

I don't think efl_ui_layout_part is needed anymore because it is just the same with efl_ui_widget_part now.
Do we have any problem after removing it ?

I can test this in a separate patch, but functionally there is no issue removing it. The only question is whether we want to be able to differentiate a regular widget part from a layout part for some reason.

Jaehyun_Cho requested changes to this revision.Feb 14 2019, 5:18 PM
Jaehyun_Cho added a subscriber: Jaehyun_Cho.

efl_ui_cursor.eo still exists.

This revision now requires changes to proceed.Feb 14 2019, 5:18 PM
zmike updated this revision to Diff 19441.Feb 15 2019, 6:05 AM

remove file

I think @woohyun is making a good suggestion here.

I think @woohyun is making a good suggestion here.

Yes, but that's outside the scope of this patch.

In D7899#142019, @zmike wrote:

I think @woohyun is making a good suggestion here.

Yes, but that's outside the scope of this patch.

Agreed.

woohyun accepted this revision.Feb 15 2019, 7:44 PM
This revision was not accepted when it landed; it landed in state Needs Review.Feb 21 2019, 12:08 PM
Closed by commit rEFL41f0ebb52bfc: api: remove efl.ui.cursor interface (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain Why
This revision was automatically updated to reflect the committed changes.